Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.logging.server
Class StackTraceDeobfuscator

    java.lang.Object
      com.google.gwt.core.server.StackTraceDeobfuscator
          com.google.gwt.logging.server.StackTraceDeobfuscator

Deprecated. Use com.google.gwt.core.server.StackTraceDeobfuscator instead.

    @Deprecated
    public class StackTraceDeobfuscator

extends StackTraceDeobfuscator

Field Summary
`protected java.io.File` | `symbolMapsDirectory` Deprecated.

Constructor Summary
`StackTraceDeobfuscator(java.lang.String symbolMapsDirectory)` Deprecated. Creates a deobfuscator that loads symbol map files from the given directory.
`StackTraceDeobfuscator(java.lang.String symbolMapsDirectory, boolean lazyLoad)` Deprecated. Creates a deobfuscator that loads symbol map files from the given directory.

Method Summary
`java.util.logging.LogRecord` | `deobfuscateLogRecord(java.util.logging.LogRecord lr, java.lang.String strongName)` Deprecated. Best effort resymbolization of a log record's stack trace.
`java.lang.StackTraceElement[]` | `deobfuscateStackTrace(java.lang.StackTraceElement[] st, java.lang.String strongName)` Deprecated.
`java.lang.Throwable` | `deobfuscateThrowable(java.lang.Throwable old, java.lang.String strongName)` Deprecated.
`protected java.io.InputStream` | `openInputStream(java.lang.String fileName)` Deprecated. Opens a new `InputStream` for a symbol or source map file.
`void` | `setSymbolMapsDirectory(java.lang.String symbolMapsDirectory)` Deprecated. The behavior of changing symbol map after construction is undefined, please provide it in construction time. If the directory needs to be changed after construction, a new instance of this class can be instantiated with the different one.

Methods inherited from class com.google.gwt.core.server.StackTraceDeobfuscator
`deobfuscateStackTrace, fromFileSystem, fromResource, fromUrl, getSourceMapInputStream, getSymbolMapInputStream, resymbolize, resymbolize, setLazyLoad`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbolMapsDirectory

    protected java.io.File symbolMapsDirectory

  Deprecated.

Constructor Detail

### StackTraceDeobfuscator

    public StackTraceDeobfuscator(java.lang.String symbolMapsDirectory)

  Deprecated.
  Creates a deobfuscator that loads symbol map files from the given directory. Symbol maps are generated into the location specified by the GWT compiler `-deploy` command line argument.

  Parameters:
    `symbolMapsDirectory` - the `symbolMaps` directory, with or without trailing directory separator character

### StackTraceDeobfuscator

    public StackTraceDeobfuscator(java.lang.String symbolMapsDirectory,
                                  boolean lazyLoad)

  Deprecated.
  Creates a deobfuscator that loads symbol map files from the given directory. Symbol maps are generated into the location specified by the GWT compiler `-deploy` command line argument.

  Parameters:
    `symbolMapsDirectory` - the `symbolMaps` directory, with or without trailing directory separator character
    `lazyLoad` - if true, only symbols requested to be deobfuscated are cached. This provides a large memory savings at the expense of occasional extra disk reads.

Method Detail

### deobfuscateLogRecord

    public java.util.logging.LogRecord deobfuscateLogRecord(java.util.logging.LogRecord lr,
                                                            java.lang.String strongName)

  Deprecated.
  Best effort resymbolization of a log record's stack trace.

  Parameters:
    `lr` - the log record to resymbolize
    `strongName` - the GWT permutation strong name
  Returns:
    the best effort resymbolized log record

### deobfuscateStackTrace

    public java.lang.StackTraceElement[] deobfuscateStackTrace(java.lang.StackTraceElement[] st,
                                                               java.lang.String strongName)

  Deprecated.

### deobfuscateThrowable

    public java.lang.Throwable deobfuscateThrowable(java.lang.Throwable old,
                                                    java.lang.String strongName)

  Deprecated.

### setSymbolMapsDirectory

    @Deprecated
    public void setSymbolMapsDirectory(java.lang.String symbolMapsDirectory)

  Deprecated. The behavior of changing symbol map after construction is undefined, please provide it in construction time. If the directory needs to be changed after construction, a new instance of this class can be instantiated with the different one.

### openInputStream

    protected java.io.InputStream openInputStream(java.lang.String fileName)
                                           throws java.io.IOException

  Deprecated.
  Description copied from class: `StackTraceDeobfuscator`
  Opens a new `InputStream` for a symbol or source map file.

  Specified by:
    `openInputStream` in class `StackTraceDeobfuscator`
  Parameters:
    `fileName` - name of the symbol or source map file
  Returns:
    an input stream for reading the file (doesn't need to be buffered).
  Throws:
    `java.io.IOException` - if an I/O error occurs while creating the input stream.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD